    The XSPEC compmag model: Thermal and bulk Comptonization for cylindrical accretion onto the polar cap of a magnetized neutron star.

xscompmag
The xscompmag model is an additive model component.

The model is described at [1] .

>>> create_model_component("xscompmag", "mdl")
>>> print(mdl)

Create a component of the xscompmag model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.kTbb thawed 1 0.2 10 keV mdl.kTe thawed 5 0.2 2000 keV mdl.tau thawed 0.5 0 10 mdl.eta thawed 0.5 0.01 1 mdl.beta0 thawed 0.57 0.0001 1 mdl.r0 thawed 0.25 0.0001 100 mdl.A frozen 0.001 0 1 mdl.betaflag frozen 1 0 2 mdl.norm thawed 1 0 1e+24

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
kTbb
The seed blackbody temperature, in keV.
kTe
The electron temperature of the accretion column, in keV.
tau
The vertical optical depth of the accretion column, with electron cross-section equal to 10^-3 of the Thomson cross-section.
eta
The index of the velocity profile when the accretion velocity increases towards the neutron star (valid when betaflag is 1).
beta0
The terminal velocity of the accreting matter at the neutron star surface (valid when betaflag is 1).
r0
The radius of the accretion column in units of the neutron star Schwarzschild radius.
A
The albedo at the surface of the neutron star.
betaflag
A flag for setting the velocity profile of the accretion column, described at [1] . It has values of 1 or 2 and can not be thawed.
norm
The normalization of the model: see [1] for an explanation of the units.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelCompmag.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023